curl --location --request POST 'https://api.stateset.com/v1/orders/:id/apply-discount' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation orderApplyDiscountMutation {
orderApplyDiscount(id: "${orderId}") {
order {
id,
status
}
userErrors {
field
message
}
}
}
`;
const orders = await stateset.orders.applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
orders = stateset.orders.applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders = Stateset::Order.applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders, err := stateset.Orders.applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Order orders = stateset.Orders.applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$orders = $stateset->orders->applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var orders = await stateset.Orders.ApplyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "order",
"discount_applied": true
}
Apply Discount
This endpoint applies a discount to an order.
POST
/
v1
/
orders
/
:id
/
apply-discount
curl --location --request POST 'https://api.stateset.com/v1/orders/:id/apply-discount' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation orderApplyDiscountMutation {
orderApplyDiscount(id: "${orderId}") {
order {
id,
status
}
userErrors {
field
message
}
}
}
`;
const orders = await stateset.orders.applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
orders = stateset.orders.applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders = Stateset::Order.applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders, err := stateset.Orders.applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Order orders = stateset.Orders.applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$orders = $stateset->orders->applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var orders = await stateset.Orders.ApplyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "order",
"discount_applied": true
}
Body
string
The ID provided in the data tab may be used to identify the order
Response
string
The ID provided in the data tab may be used to identify the order
string
The object type
number
Indicates whether the call was successful. true if successful, false if not.
curl --location --request POST 'https://api.stateset.com/v1/orders/:id/apply-discount' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation orderApplyDiscountMutation {
orderApplyDiscount(id: "${orderId}") {
order {
id,
status
}
userErrors {
field
message
}
}
}
`;
const orders = await stateset.orders.applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
orders = stateset.orders.applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders = Stateset::Order.applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders, err := stateset.Orders.applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Order orders = stateset.Orders.applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$orders = $stateset->orders->applyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var orders = await stateset.Orders.ApplyDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "order",
"discount_applied": true
}
โI